HaruDoc::saveToStream
HaruDoc::setCurrentEncoder
HaruDoc
PHP Manual

# HaruDoc::setCompressionMode

Set compression mode for the document

### Description

bool HaruDoc::setCompressionMode ( int `$mode` )

Defines compression mode for the document. In case when libharu was compiled without Zlib support this function will always throw HaruException.

### Parameters

`mode`

  The compression mode to use. The value is a combination of the following flags:

  - `HaruDoc::COMP_NONE` - all contents is not compressed.
  - `HaruDoc::COMP_TEXT` - compress the text data.
  - `HaruDoc::COMP_IMAGE` - compress the image data.
  - `HaruDoc::COMP_METADATA` - compress other data (fonts, cmaps).
  - `HaruDoc::COMP_ALL` - compress all data.

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws a HaruException on error.